Bug 472640 - wrong numbers of unread messages in Inbox
wrong numbers of unread messages in Inbox
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution-exchange (Show other bugs)
16
All Linux
medium Severity high
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-22 06:25 EST by Ralf Corsepius
Modified: 2013-02-13 21:33 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 21:33:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Unread messages signaled, where there is none (40.62 KB, image/png)
2009-12-13 17:33 EST, Bojan Smojver
no flags Details
More unread than total (2.06 KB, image/png)
2011-11-30 21:13 EST, Bojan Smojver
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 543389 None None None Never

  None (edit)
Description Ralf Corsepius 2008-11-22 06:25:48 EST
Description of problem:
In its summary pane, evolution displays wrong numbers of unread messages in "Inbox"es

E.g. I am observing:

Inbox(15) ... "There are no messages in this folder"

Also, the "Inbox(15)" string doesn't seem to get refreshed/updated upon actions.


Version-Release number of selected component (if applicable):
evolution-2.24.1-2.fc10.x86_64

How reproducible:
Always

Steps to Reproduce:
1. watch mail counts on Inbox'es in summary pane
(I mine are all imaps or imap)

Actual results:
evolution displays wrong numbers of unread messages in summary pane.

Expected results:
evolution to display correct number of unread messages

Additional info:
This had worked with FC9 => Serious behavioral regression.
Comment 1 Matthew Barnes 2008-11-22 09:31:23 EST
There are a number of known issues related to Evolution's move to using SQLite for storing email summaries in version 2.24.  They are being tracked here:

http://bugzilla.gnome.org/showdependencytree.cgi?id=543389&hide_resolved=1

Quite a few of them have been resolved since version 2.24.1.  Version 2.24.2 will be released on Monday.  Please upgrade next week and retest.
Comment 2 Bojan Smojver 2008-11-22 17:31:55 EST
Ditto evolution-2.24.1.1-1.fc10.i386.
Comment 3 Bug Zapper 2008-11-26 00:47:14 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Matěj Cepl 2009-02-08 12:07:19 EST
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 5 Ralf Corsepius 2009-02-08 13:07:17 EST
(In reply to comment #4)
> Reporter, could you please reply to the previous question?
Which question? 
> If you won't reply
> in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
I would reply if there was any.

BTW: After having stopped to use evolution ca. some time in January, the first thing evo just came up was a seg fault.
Comment 6 Bojan Smojver 2009-02-08 18:03:31 EST
I think may have been fixed, actually. I haven't seen this behaviour in a while, against both IMAP and Exchange.
Comment 7 Matthew Barnes 2009-02-26 15:14:47 EST
Ralf, can you confirm this has been fixed in 2.24.4 or 2.24.5 (in updates-testing now)?
Comment 8 Mike Chambers 2009-03-07 09:16:27 EST
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you. 

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 9 Ralf Corsepius 2009-03-08 13:37:07 EDT
(In reply to comment #7)
> Ralf, can you confirm this has been fixed in 2.24.4 or 2.24.5 (in
> updates-testing now)?  

As I already repeatedly said, I stopped using evolution.

(In reply to comment #8)
> Reporter, could you please reply to the previous question? If you won't reply
> in one month, I will have to close this bug as INSUFFICIENT_DATA.
Mike, please understand that you are barking up the wrong tree.
Comment 10 Ralf Corsepius 2009-03-08 22:59:57 EDT
Mike Chambers <mike@miketc.net> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|NEW                         |CLOSED
         Resolution|                            |CURRENTRELEASE

Reopening.
Comment 11 Matthew Barnes 2009-06-28 21:54:13 EDT
Reclosing.
Comment 12 Bojan Smojver 2009-12-03 00:26:49 EST
This is happening with Evo 2.28 in F-12. I can see it with Exchange (OWA) back end.

The funny bit is this. When new mail arrives, the count above the folder tree is correct. However, the count on the folder itself when it turns bold is not. Just a few minutes ago, I had a new e-mail in one of the folders. Count above the tree was 1, on the folder 4.
Comment 13 Bojan Smojver 2009-12-09 19:41:57 EST
(In reply to comment #12)
> Count above the tree was 1, on the folder 4.  

Most times when there is a problem both counters match, but they are both equally wrong. For instance, I have 1 unread message according to counters in one of my folders, but no real unread messages.
Comment 14 Bojan Smojver 2009-12-13 17:33:39 EST
Created attachment 378107 [details]
Unread messages signaled, where there is none

Note here that just before I took that screenshot, it actually said that there was 1 unread message next to that '10 total' line. So, there was no unread messages, 2 were shown on the Inbox in bold and 1 in the total area. Looks like the number of counters keeping track of this stuff should be reduced to just one. All this is using evolution-exchange.
Comment 15 Bojan Smojver 2010-06-02 21:24:23 EDT
Still happening in F-13. Particularly with evolution-exchange. For instance, I see one of the folders in bold with 3 unread messages. If I scroll through all of them, not of them are actually unread.

If nothing else, there should be a "hard" refresh of the folder when all the info is picked up anew and all counters set to the actual numbers.
Comment 16 Bug Zapper 2011-06-02 14:23:22 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Bojan Smojver 2011-06-16 20:17:30 EDT
Still seeing this with evolution-exchange. In fact, with Evo 3.0.x, it seems worse than before. Number of unread messages displayed in the folder list jumps all over the place. It may go to zero, only to spontaneously go back to what it was just before all the messages were read.

Right now, I have 12 unread messages shown on the Inbox. The actual number is zero.
Comment 18 Bojan Smojver 2011-06-16 20:19:48 EDT
(In reply to comment #17)
 
> Right now, I have 12 unread messages shown on the Inbox. The actual number is
> zero.

If I close Evo and open it, the number of unread messages becomes correct (zero).
Comment 19 Bojan Smojver 2011-06-16 20:30:07 EDT
(In reply to comment #17)
 
> Right now, I have 12 unread messages shown on the Inbox. The actual number is
> zero.

Another interesting behaviour happens when I click on a message to preview it. It is marked as read in the inbox. If I then move this message to another folder after a relatively short period of time (my guess, before next "check for new mail" cycle), it will be marked as unread in the folder I just moved it to. And notification daemon will tell me I have new mail, which is also obviously incorrect.

My "mark as seen timeout" is set to 100 (0.1 sec). I think this has been removed from the UI (not exactly sure why), but I still see it through gconf-editor. If it matters...
Comment 20 Bojan Smojver 2011-11-17 18:20:28 EST
This is still a problem with the latest Evo in F-16 (3.2.2-1.fc16) and exchange connector.

Most subfolders kinda get in line after a while (I'm guessing async processing of messages eventually gets its act together), but the inbox stays wrong.

For instance, I have number 14 on the inbox now, but in reality no messages are unread. I can refresh the folder as many times as I like, send/receive as many times as I like. The number stays wrong until I close/open Evo.

Moving to F-16.
Comment 21 Bojan Smojver 2011-11-17 19:06:37 EST
One more note: the inbox seems especially affected if messages are either deleted or moved to other folders from it.
Comment 22 Bojan Smojver 2011-11-22 00:35:41 EST
Another interesting detail here. If I click on another folder and then go back to inbox, unread messages (i.e. the ones in bold) will briefly flash in the list of messages and then disappear. So, it seems that Evo really thinks that there is something unread there, ergo the wrong count.
Comment 23 Bojan Smojver 2011-11-22 01:03:00 EST
(In reply to comment #22)
> Another interesting detail here. If I click on another folder and then go back
> to inbox, unread messages (i.e. the ones in bold) will briefly flash in the
> list of messages and then disappear. So, it seems that Evo really thinks that
> there is something unread there, ergo the wrong count.

Ignore this comment. This 'flashing' was due to filtering.

Anyway, the problem still stands.
Comment 24 Bojan Smojver 2011-11-30 21:13:41 EST
Created attachment 538886 [details]
More unread than total

Just a bit of humour: more unread than total messages in my inbox ;-)
Comment 25 Fedora End Of Life 2013-01-16 19:58:38 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 26 Fedora End Of Life 2013-02-13 21:33:49 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.